LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Modules | Variables
BestRowScope.idl File Reference

Go to the source code of this file.

## Modules
module | com
| – idl definition –
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::sdbc
| Database component interfaces.

## Constant Groups
constants | com::sun::star::sdbc::BestRowScope
| determines how long a row identifier is valid.

## Variables
const long | TEMPORARY = 0
| indicates that the scope of the best row identifier is very temporary, lasting only while the row is being used. More...
const long | TRANSACTION = 1
| indicates that the scope of the best row identifier is the remainder of the current transaction. More...
const long | SESSION = 2
| indicates that the scope of the best row identifier is the remainder of the current session. More...